Skip to main content

Update the configuration for storing a specific custom field in the statdb table dim_visit

PUT 

/personaldata-backend/config/customFields/:fieldName

Update the configuration for storing a specific custom field in the statdb table dim_visit

Valid field names are custom_1, custom_2, custom_3, custom_4 or custom_5.

Ensure that fieldName in the REST path matches the fieldName in the customFieldConfiguration object.

The storeData value in the customFieldConfiguration must be of the type boolean.

curl -u user:password -i -X PUT -H 'content-type:application/json'
-d '{"fieldName":"custom_3","storeData":false}' http://orchestra-host:orchestra-port/personaldata/rest/config/customFields/custom_3

Request​

Responses​

Returns a JSON object containing a CustomFieldConfiguration.